class SkipModel {
  String url;
  String requiredLogin;
  String requiredTaobaoAuth;
  String skipIdentifier;
  String isJump;
  Map<String, dynamic> data;

  SkipModel({
    this.url,
    this.requiredLogin,
    this.requiredTaobaoAuth,
    this.skipIdentifier,
    this.isJump,
    this.data
  });

  SkipModel.fromJson(Map<String, dynamic> json) {
    fromJson(json);
  }

  void fromJson(Map<String, dynamic> json) {
    data = json['data'] ?? {};
    url = json['url'];
    requiredLogin = json['required_login']?.toString();
    requiredTaobaoAuth = json['required_taobao_auth']?.toString();
    skipIdentifier = json['skip_identifier'];
    isJump = json['is_jump']?.toString();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['url'] = this.url;
    data['required_login'] = this.requiredLogin;
    data['required_taobao_auth'] = this.requiredTaobaoAuth;
    data['skip_identifier'] = this.skipIdentifier;
    data['is_jump'] = this.isJump;
    data['data'] = this.data;
    return data;
  }
}
